> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Upload requests

> Returns a list of your Upload requests for the given external connection.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/real-time-communications/external-connects.yml get /external_connections/{id}/uploads
openapi: 3.1.0
info:
  title: Telnyx External Connects API
  version: 2.0.0
  description: API for External connects.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /external_connections/{id}/uploads:
    get:
      tags:
        - External Connections
      summary: List all Upload requests
      description: >-
        Returns a list of your Upload requests for the given external
        connection.
      operationId: ListExternalConnectionUploads
      parameters:
        - $ref: '#/components/parameters/external-voice-integrations_id'
        - $ref: '#/components/parameters/FilterUploadsConsolidated'
        - $ref: '#/components/parameters/external-voice-integrations_PageConsolidated'
      responses:
        '200':
          $ref: '#/components/responses/ListUploadsResponse'
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          description: Bad request
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const upload of
            client.externalConnections.uploads.list('1293384261075731499')) {
              console.log(upload.location_id);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.external_connections.uploads.list(
                id="1293384261075731499",
            )
            page = page.data[0]
            print(page.location_id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.ExternalConnections.Uploads.List(\n\t\tcontext.TODO(),\n\t\t\"1293384261075731499\",\n\t\ttelnyx.ExternalConnectionUploadListParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.externalconnections.uploads.UploadListPage;

            import
            com.telnyx.sdk.models.externalconnections.uploads.UploadListParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    UploadListPage page = client.externalConnections().uploads().list("1293384261075731499");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            page =
            telnyx.external_connections.uploads.list("1293384261075731499")


            puts(page)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $page = $client->externalConnections->uploads->list(
                '1293384261075731499',
                filter: [
                  'civicAddressID' => ['eq' => '19990261512338516954'],
                  'locationID' => ['eq' => '19995665508264022121'],
                  'phoneNumber' => ['contains' => '+1970', 'eq' => '+19705555098'],
                  'status' => ['eq' => ['pending_upload', 'pending']],
                ],
                pageNumber: 0,
                pageSize: 0,
              );

              var_dump($page);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx external-connections:uploads list \
              --api-key 'My API Key' \
              --id 1293384261075731499
components:
  parameters:
    external-voice-integrations_id:
      name: id
      description: Identifies the resource.
      in: path
      required: true
      schema:
        type: string
        example: '1293384261075731499'
        x-format: int64
    FilterUploadsConsolidated:
      name: filter
      in: query
      style: deepObject
      explode: true
      required: false
      description: >-
        Filter parameter for uploads (deepObject style). Supports filtering by
        status, civic_address_id, location_id, and phone_number with eq/contains
        operations.
      schema:
        type: object
        properties:
          status:
            type: object
            properties:
              eq:
                type: array
                items:
                  type: string
                  enum:
                    - pending_upload
                    - pending
                    - in_progress
                    - success
                    - error
                example:
                  - pending_upload
                  - pending
                description: The status of the upload to filter by
          civic_address_id:
            type: object
            properties:
              eq:
                type: string
                example: '19990261512338516954'
                description: The civic address ID to filter by
          location_id:
            type: object
            properties:
              eq:
                type: string
                example: '19995665508264022121'
                description: The location ID to filter by
          phone_number:
            type: object
            properties:
              eq:
                type: string
                example: '+19705555098'
                description: The phone number to filter by (exact match)
              contains:
                type: string
                example: '+1970'
                description: The phone number to filter by (partial match)
    external-voice-integrations_PageConsolidated:
      name: page
      in: query
      style: deepObject
      explode: true
      description: >-
        Consolidated page parameter (deepObject style). Originally: page[size],
        page[number]
      schema:
        type: object
        properties:
          size:
            type: integer
            minimum: 1
            maximum: 250
            default: 250
            description: The size of the page
          number:
            type: integer
            minimum: 1
            default: 1
            description: The page number to load
  responses:
    ListUploadsResponse:
      description: Successful response
      content:
        application/json:
          schema:
            type: object
            title: List Uploads Response
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/Upload'
              meta:
                $ref: >-
                  #/components/schemas/external-voice-integrations_PaginationMeta
  schemas:
    Upload:
      type: object
      title: Upload
      properties:
        ticket_id:
          $ref: '#/components/schemas/UUID'
        tenant_id:
          type: string
          format: uuid
          example: ea175aba-f47c-4702-9400-efaa42688048
        location_id:
          type: string
          format: uuid
          example: c37e5036-1e87-42e6-86a2-b3e8dd39a2ad
        status:
          type: string
          enum:
            - pending_upload
            - pending
            - in_progress
            - partial_success
            - success
            - error
          description: Represents the status of the upload on Microsoft Teams.
          example: error
          default: pending_upload
        available_usages:
          type: array
          items:
            type: string
            enum:
              - calling_user_assignment
              - first_party_app_assignment
            description: Available usages for the numbers in the upload on Microsoft Teams.
        error_code:
          type: string
          description: >-
            A code returned by Microsoft Teams if there is an error with the
            upload process.
        error_message:
          type: string
          description: A message set if there is an error with the upload process.
        tn_upload_entries:
          type: array
          items:
            $ref: '#/components/schemas/TnUploadEntry'
    external-voice-integrations_PaginationMeta:
      title: Pagination Meta
      type: object
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
    UUID:
      title: UUID
      type: string
      format: uuid
      description: Uniquely identifies the resource.
      example: 542c3bca-d247-42bc-8fe7-e01d16ecd761
    TnUploadEntry:
      type: object
      title: TnUploadEntry
      properties:
        number_id:
          $ref: '#/components/schemas/UUID'
        phone_number:
          type: string
          description: Phone number in E164 format.
        status:
          type: string
          enum:
            - pending_upload
            - pending
            - in_progress
            - success
            - error
          description: >-
            Represents the status of the phone number entry upload on Microsoft
            Teams.
          example: error
          default: pending_upload
        error_code:
          type: string
          enum:
            - internal_error
            - unable_to_retrieve_default_location
            - unknown_country_code
            - unable_to_retrieve_location
            - unable_to_retrieve_partner_info
            - unable_to_match_geography_entry
          description: >-
            A code returned by Microsoft Teams if there is an error with the
            phone number entry upload.
          example: internal_error
        error_message:
          type: string
          description: >-
            A message returned by Microsoft Teams if there is an error with the
            upload process.
        civic_address_id:
          type: string
          format: uuid
          description: Identifies the civic address assigned to the phone number entry.
        location_id:
          type: string
          format: uuid
          description: Identifies the location assigned to the phone number entry.
        internal_status:
          type: string
          enum:
            - pending_assignment
            - in_progress
            - all_internal_jobs_completed
            - release_requested
            - release_completed
            - error
          description: Represents the status of the phone number entry upload on Telnyx.
          example: error
          default: pending_assignment
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````